import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/receivers/index.ts
function createReceiversResource(instanceId, client) {
  return {
    list() {
      return client.get(`/instances/${instanceId}/receivers`);
    },
    create(_a) {
      var data = __objRest(_a, []);
      return client.post(`/instances/${instanceId}/receivers`, data);
    },
    get(receiver_id) {
      return client.get(`/instances/${instanceId}/receivers/${receiver_id}`);
    },
    update(_b) {
      var _c = _b, { receiver_id } = _c, data = __objRest(_c, ["receiver_id"]);
      return client.patch(`/instances/${instanceId}/receivers/${receiver_id}`, data);
    },
    delete(receiver_id) {
      return client.delete(`/instances/${instanceId}/receivers/${receiver_id}`);
    },
    getLimits(receiver_id) {
      return client.get(`/instances/${instanceId}/limits/receivers/${receiver_id}`);
    }
  };
}
var init_receivers = __esm({
  "src/resources/receivers/index.ts"() {
  }
});

export {
  createReceiversResource,
  init_receivers
};
